<router-outlet></router-outlet>
<mat-drawer-container class="example-container" autosize>
  <mat-drawer #drawer class="about-sidenav" mode="side">
    <h3>Acerca de</h3>
    <p>Desarrollado por: Jorge Ivan Carrillo Gonzalez</p>
    <p>Sistema de incidencias para la fuerza ACME.</p>
    <button type="button" color="accent" mat-button (click)="drawer.toggle()">
      Cerrar
    </button>
  </mat-drawer>

  <mat-toolbar>
    <mat-toolbar-row>
      <nav>
        <h1>Incidencias</h1>
        <button type="button" color="primary" mat-button (click)="drawer.toggle()">
          Acerca de
        </button>
      </nav>
    </mat-toolbar-row>
  </mat-toolbar>

  <div class="example-container bg-header">
    <mat-card>
      <h2>Crear incidencia</h2>
        <form class="form-container" [formGroup]="registerForm" (ngSubmit)="addReg()" >
        <mat-form-field>
          <input matInput type="number" placeholder="Cedula" formControlName="cedulaControl" required />
        </mat-form-field>
        <mat-form-field>
          <input matInput placeholder="Nombre" formControlName="nameControl" required />
        </mat-form-field>
        <div class="example-container">
          <label>Nivel</label>
          <mat-slider thumbLabel [displayWith]="formatLabel" tickInterval="1" min="0" max="5" formControlName="nivelControl" required ></mat-slider>
        </div>
        <mat-form-field>
          <input matInput placeholder="Descripción" formControlName="descriptionControl" required />
        </mat-form-field>
        <button type="submit" color="primary" mat-stroked-button>
          Guardar
        </button>
      </form>
    </mat-card>
    <mat-card>
      <h2>Listado incidencias</h2>
      <div class="form-container">        
        <button type="button" color="primary" mat-stroked-button (click)="getTotalByProm()">Ver Promedio</button>
        <button type="button" color="primary" mat-stroked-button (click)="checKeywords()">Por palabras clave</button>
        <button type="button" color="primary" mat-stroked-button (click)="groupByName()">Usuario con mas reportes</button>
      </div>
      <table mat-table [dataSource]="regSource" class="mat-elevation-z8">

        <!--- Note that these columns can be defined in any order.
              The actual rendered columns are set as a property on the row definition" -->

        <!-- Cedula Column -->
        <ng-container matColumnDef="cedula">
          <th mat-header-cell *matHeaderCellDef> Cedula </th>
          <td mat-cell *matCellDef="let element"> {{element.cedula}} </td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef> Name </th>
          <td mat-cell *matCellDef="let element"> {{element.name}} </td>
        </ng-container>

        <!-- Nivel Column -->
        <ng-container matColumnDef="nivel">
          <th mat-header-cell *matHeaderCellDef> Nivel </th>
          <td mat-cell *matCellDef="let element"> {{element.nivel}} </td>
        </ng-container>

        <!-- Descripcion Column -->
        <ng-container matColumnDef="description">
          <th mat-header-cell *matHeaderCellDef> Descripción </th>
          <td mat-cell *matCellDef="let element"> {{element.description}} </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>

    </mat-card>
  </div>
</mat-drawer-container>